Skip to main content
`Ctrl`+`K`

# DSGSVDSetDimensions

Sets the number of columns and rows for a `DSGSVD`.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGSVDSetDimensions(DS ds,PetscInt m,PetscInt p)

Logically Collective

## Input Parameters

- ds - the direct solver context

- m - the number of columns

- p - the number of rows for the second matrix (`DS_MAT_B`)

## Notes

This call is complementary to `DSSetDimensions()`, to provide two dimensions that are specific to this `DS` type. The number of rows for the first matrix (`DS_MAT_A`) is set by `DSSetDimensions()`.

Use `PETSC_CURRENT` to leave any of the values unchanged. Use `PETSC_DETERMINE` to set `m` to the leading dimension and `p` to the number of columns of \(B\).

## See Also

DS: Direct Solver (or Dense System), `DSGSVD`, `DSGSVDGetDimensions()`, `DSSetDimensions()`

## Level

intermediate

## Location

src/sys/classes/ds/impls/gsvd/dsgsvd.c

## Implementations

DSGSVDSetDimensions_GSVD() in src/sys/classes/ds/impls/gsvd/dsgsvd.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages